/* global BDF,$$ */
/**
 * Objet global définissant l'espace de nom SqlExport
 * 
 * @namespace SqlExport
 */
var SqlExport = {};

SqlExport.array = null;
SqlExport.tableExportArray = new Array();


/******************************************************************************
 * Actions sur SqlExport
 ******************************************************************************/

SqlExport.initArray = function (array) {
    for(let sqlExportObj of array) {
        SqlExport.completeSqlExport(sqlExportObj);
    }
    SqlExport.array = array;
    return array;
};

SqlExport.getSqlExport = function (sqlExportName) {
    for(let sqlExport of SqlExport.array) {
        if (sqlExport.name === sqlExportName) {
            return sqlExport;
        }
    }
    return null;
};

SqlExport.updateSqlExport = function (newSqlExport) {
    newSqlExport = SqlExport.completeSqlExport(newSqlExport);
    BDF.updateInArray(SqlExport.array, newSqlExport);
    SqlExport.List.updateSqlExport(newSqlExport);
    return newSqlExport;
};

SqlExport.removeSqlExport = function (name) {
    BDF.removeInArray(SqlExport.array, name);
    BDF.Pane.removeContents(name);
    BDF.Pane.removeEntry($$("listpane_body"), name);
};

SqlExport.insertSqlExport = function (sqlExport) {
    sqlExport = SqlExport.completeSqlExport(sqlExport);
    BDF.insertInArray(SqlExport.array, sqlExport);
    var $entry = BDF.Pane.insertEntry($$("listpane_body"), sqlExport.name, BDF.render("sqlexport:list-sqlexport", sqlExport));
    $$("listpane_body").animate({
        scrollTop: $entry.offset().top
    }, 1000, function () {
        BDF.Deploy.ensureLinkVisibility($entry, true);
    });
    SqlExport.Form.load(sqlExport.name);
    return sqlExport;
};

SqlExport.completeSqlExport = function (sqlExportObj) {
    var sqlExportName = sqlExportObj.name;
    return sqlExportObj;
};


/******************************************************************************
 * Enregistrement de fonction
 ******************************************************************************/

BDF.Pane.registerCheckFunction(function (state) {
    $(".pane-list-ActiveItem").removeClass("pane-list-ActiveItem");
    if (state.withMain()) {
        let $sqlExport = BDF.$({role: "entry", name: state.mainContentKey});
        BDF.$($sqlExport, {role: "entry-header"}).addClass("pane-list-ActiveItem");
    }
});


/******************************************************************************
 * Initialisation
 ******************************************************************************/

$(function () {
    BDF.initTemplates();
    BDF.Pane.initLayout();
    $$("layout_list").html(BDF.render("sqlexport:list-pane", {}));
    BDF.initBeforeUnload();
    BDF.runSerialFunctions(
        BDF.initLangConfiguration,
        BDF.initPathConfiguration,
        _initTableExportArray,
        SqlExport.List.init
    );
    
    
    function _initTableExportArray(callback) {
        BDF.Ajax.loadTableExportArray(function (tableExportArray) {
            SqlExport.tableExportArray = tableExportArray;
            if (callback) {
                callback();
            }
        });
    }

});