<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0">

    <xsl:template match="extraitthesaurus">
        <xsl:apply-templates select="." mode="MODE_INLINE"/>
    </xsl:template>

    <xsl:template match="motcle">
        <xsl:apply-templates select="." mode="MODE_LABEL"/>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="motcle" mode="MODE_BLOCK">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="motcle" mode="MODE_LISTITEM">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:apply-templates select="motcle" mode="MODE_INLINE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <text:p text:style-name="{$PARAM_CLASS}"><xsl:apply-templates select="." mode="MODE_LABEL"/></text:p>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <text:list-item><text:p text:style-name="{$PARAM_CLASS}"><xsl:apply-templates select="." mode="MODE_LABEL"/></text:p></text:list-item>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:if test="position() &gt; 1"><xsl:value-of select="$PARAM_SEP"/></xsl:if>
        <xsl:apply-templates select="." mode="MODE_LABEL"/>
    </xsl:template>


    <xsl:template match="motcle" mode="MODE_LABEL">
        <xsl:if test="boolean(@idalpha = true())">
            <xsl:value-of select="@idalpha"/><xsl:text> – </xsl:text>
        </xsl:if>
        <xsl:call-template name="sub_Label"/>
    </xsl:template>


    <xsl:template name="sub_Label">
        <xsl:choose>
            <xsl:when test="label[@xml:lang = $WORKINGLANG]"><xsl:value-of select="label[@xml:lang = $WORKINGLANG]"/></xsl:when>
            <xsl:when test="label[@xml:lang = substring-before($WORKINGLANG, '-')]"><xsl:value-of select="label[@xml:lang = substring-before($WORKINGLANG, '-')]"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="label[1]"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>


</xsl:stylesheet>